Delete an environment variable
curl --request DELETE \
--url https://api.alpic.ai/v1/environment-variables/{environmentVariableId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.alpic.ai/v1/environment-variables/{environmentVariableId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.alpic.ai/v1/environment-variables/{environmentVariableId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": "<unknown>"
}{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "Bad Request",
"data": "<unknown>"
}{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "Not Found",
"data": "<unknown>"
}environments
Delete an environment variable
Delete an environment variable by ID
DELETE
/
v1
/
environment-variables
/
{environmentVariableId}
Delete an environment variable
Authorizations
Bearer token for authentication. Use an API key from the API Keys page in team settings, or an OAuth access token.
Path Parameters
The ID of the environment variable
Response
The environment variable has been deleted successfully
Was this page helpful?
⌘I